<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Report_gugatan_sederhana_persiapan_pendaftaran_panggilan extends CI_Model{
	
	function get_info_pn(){
		try {
			$this->db->select('*');
			$this->db->where('id >=', 61); 
			return $this->db->get('sys_config');
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}
	function getJenisPerkara($idalurperkara){
		if(empty($idalurperkara)) return '';
		try {
			$this->db->where('id',$idalurperkara);
			return $this->db->get('alur_perkara')->row()->nama;
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function get_rekap($idalurperkara,$year){
		try {
			return $this->db->query("SELECT 
				jenisPerkara.nama AS jenis_perkara_nama,
				(SELECT COUNT(*) FROM v_perkara WHERE alur_perkara_id='".$idalurperkara."'
					AND YEAR(tanggal_pendaftaran)='".$year."'
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id)))AS jumlahTotal,
				(SELECT COUNT(*) FROM v_perkara WHERE alur_perkara_id='".$idalurperkara."'
					AND YEAR(tanggal_pendaftaran)='".$year."'
					AND DATEDIFF(penetapan_majelis_hakim,tanggal_pendaftaran)<=1
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id)))AS value1,
				(SELECT COUNT(*) FROM v_perkara WHERE alur_perkara_id='".$idalurperkara."'
					AND YEAR(tanggal_pendaftaran)='".$year."'
					AND DATEDIFF(penetapan_majelis_hakim,tanggal_pendaftaran)=2
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id)))AS value2,
				(SELECT COUNT(*) FROM v_perkara WHERE alur_perkara_id='".$idalurperkara."'
					AND YEAR(tanggal_pendaftaran)='".$year."'
					AND DATEDIFF(penetapan_majelis_hakim,tanggal_pendaftaran)=3
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id)))AS value3,
				(SELECT COUNT(*) FROM v_perkara WHERE alur_perkara_id='".$idalurperkara."'
					AND YEAR(tanggal_pendaftaran)='".$year."'
					AND DATEDIFF(penetapan_majelis_hakim,tanggal_pendaftaran)>=4
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id)))AS value4	
				FROM v_jenis_perkara AS jenisPerkara
				WHERE jenisPerkara.alur_perkara_id='".$idalurperkara."'
				GROUP BY jenisPerkara.nama
				ORDER BY jenisPerkara.nama ASC");
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}
}